curl --request POST \
--url https://api.sandbox.lead.bank/v1/account_number \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"type": "IBAN",
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {}
}
'{
"id": "account_number_xyz",
"account_number": 123412341234,
"routing_number": 123456789,
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"status": "active",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"type": "IBAN",
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Creates an Account Number. Optionally also assigns either a ClientCustomerID or EntityID to the Account Number
curl --request POST \
--url https://api.sandbox.lead.bank/v1/account_number \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"type": "IBAN",
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {}
}
'{
"id": "account_number_xyz",
"account_number": 123412341234,
"routing_number": 123456789,
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"status": "active",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"type": "IBAN",
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Idempotency key
255The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of your customer.
64"<your_customer_id>"
The ID of your entity.
^entity_[^\s]{1,33}$"entity_xyz123"
ACH payment controls
Show child attributes
Wire payment controls
Show child attributes
Internal Transfer controls
Show child attributes
Instant Payment controls
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Successful response
The ID of the retrieved Account Number.
^account_number_\w+$"account_number_xyz"
The account number.
123412341234
The routing number.
123456789
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of your customer.
64"<your_customer_id>"
The ID of your entity.
^entity_[^\s]{1,33}$"entity_xyz123"
Account Number Status
active, inactive, canceled, unassigned "active"
ACH payment controls
Show child attributes
Wire payment controls
Show child attributes
Internal Transfer controls
Show child attributes
Instant Payment controls
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
The timestamp of creation in ISO-8601 format.
The timestamp of last update in ISO-8601 format.
Was this page helpful?